import { registerExtension } from '@codingame/monaco-vscode-api/extensions';

var manifest = {name:"php",displayName:"%displayName%",description:"%description%",version:"1.0.0",publisher:"vscode",license:"MIT",engines:{vscode:"0.10.x"},categories:["Programming Languages"],contributes:{languages:[{id:"php",extensions:[".php",".php4",".php5",".phtml",".ctp"],aliases:["PHP","php"],firstLine:"^#!\\s*/.*\\bphp\\b",mimetypes:["application/x-php"],configuration:"./language-configuration.json"}],grammars:[{language:"php",scopeName:"source.php",path:"./syntaxes/php.tmLanguage.json"},{language:"php",scopeName:"text.html.php",path:"./syntaxes/html.tmLanguage.json",embeddedLanguages:{"text.html":"html","source.php":"php","source.sql":"sql","text.xml":"xml","source.js":"javascript","source.json":"json","source.css":"css"}}],snippets:[{language:"php",path:"./snippets/php.code-snippets"}]},scripts:{"update-grammar":"node ./build/update-grammar.mjs"},repository:{type:"git",url:"https://github.com/microsoft/vscode.git"},main:undefined};

const { registerFileUrl, whenReady } = registerExtension(manifest, undefined, {"system":true});
registerFileUrl('./language-configuration.json', new URL('./resources/language-configuration.json', import.meta.url).toString(), {"mimeType":"application/json","size":1835});
registerFileUrl('./snippets/php.code-snippets', new URL('./resources/php.code-snippets', import.meta.url).toString(), {"size":6697});
registerFileUrl('./syntaxes/html.tmLanguage.json', new URL('./resources/html.tmLanguage.json', import.meta.url).toString(), {"mimeType":"application/json","size":1750});
registerFileUrl('./syntaxes/php.tmLanguage.json', new URL('./resources/php.tmLanguage.json', import.meta.url).toString(), {"mimeType":"application/json","size":111401});
registerFileUrl('package.json', new URL('./resources/package.json', import.meta.url).toString(), {"mimeType":"application/json","size":990});
registerFileUrl('package.nls.json', new URL('./resources/package.nls.json', import.meta.url).toString(), {"mimeType":"application/json","size":118});

export { whenReady };
